#!/usr/bin/env bash

set -euo pipefail

pattern='cmd-'
result=$(git grep --no-color --line-number --fixed-strings -e "$pattern" -- \
  'assets/keymaps/' \
  ':(exclude)assets/keymaps/storybook.json' \
  ':(exclude)assets/keymaps/default-macos.json' \
  ':(exclude)assets/keymaps/macos/*.json' || true)

if [[ -n "${result}" ]]; then
  echo "${result}"
  echo "Error: Found 'cmd-' in non-macOS keymap files."
  exit 1
fi

pattern='super-|win-|fn-'
result=$(git grep --no-color --line-number --fixed-strings -e "$pattern" -- \
  'assets/keymaps/' || true)

if [[ -n "${result}" ]]; then
  echo "${result}"
  echo "Error: Found 'super-', 'win-', or 'fn-' in keymap files. Currently these aren't used."
  exit 1
fi
